
QGIS Application - Feature request #12187

GeoPackage: Vector layer save as... support

2015-02-11 02:36 PM - Sfkeller -

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 20377

Description

OGR supports reading and writing of GeoPackage vector format.

QGIS supports GeoPackage reading/importing (besides Drag&Drop, see #10228).

But GeoPackage writing, meaning "Vectorlayer save as..." is missing.

This would enhance chances to finally get a common "Shapefile of the future..." :-).

Related issues:

Related to QGIS Application - Bug report # 12897: Geopackage: add support in ... Closed 2015-06-06

Duplicated by QGIS Application - Feature request # 12724: Add GeoPackage to "... Closed 2015-05-08

History

#1 - 2015-02-11 02:39 PM - Sfkeller -

Sorry: 

Title should be "GeoPackage: Vectorlayer save as... support".

And it's a feature request, not a bug.

#2 - 2015-02-11 11:28 PM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

- Subject changed from GeoPackage:  to GeoPackage: Vector layer save as... support

#3 - 2015-06-04 03:50 PM - Sfkeller -

Can somebody explain, if there is a problem when GeoPackage is being added as writable driver?

I'm not sure but it seems that it's mainly inserting following snippet to "core/qgsvectorfilewriter.cpp", specifially "QgsVectorFileWriter::driverMetadata", after

line 2272:

else if ( driverName.startsWith( "GeoPackage" ) )

{

    longName = "GeoPackage";

    trLongName = QObject::tr( "GeoPackage" );

    glob = "*.gpkg";

    ext = "gpkg";

  }

#4 - 2015-06-05 01:01 AM - Jürgen Fischer

Sfkeller - wrote:

Can somebody explain, if there is a problem when GeoPackage is being added as writable driver?
The only problem I see is that you cannot save multiple layers into one file using "Save as...".  But that also already applies to SQLite/SpatiaLite.

#5 - 2015-06-05 05:11 AM - Andreas Neumann

If we could add support for geopackage in the DB manager, then we could add additional layers into one Geopackage - but that is something for

QGIS 2.12 ...

#6 - 2015-06-06 01:14 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

#7 - 2015-06-06 01:16 AM - Giovanni Manghi

Andreas Neumann wrote:

If we could add support for geopackage in the DB manager, then we could add additional layers into one Geopackage - but that is something for

QGIS 2.12 ...

feature request added #12897
